Page MenuHomePhabricator

Update and adopt new special page template for remaining special pages (Contributions, Nearby, History and Watchlist)
Closed, ResolvedPublic

Description

Problem

Refer to the parent EPIC for the problem statement

This task is about adapting the template for settings page on mobile frontend.

Mock

Existing

Proposed

Note: The proposed mock does not contain pieces from T67079: [Epic] Show what features are included in Beta

Acceptance criteria

  • Code is kept in a feature branch that is enabled on reading web staging to allow us to incrementally update the special pages
  • The settings page uses common special page template
  • The title and subtitle says "Settings" and "Reading preferences"

Developer notes

This is mostly removing CSS in skinStyles/mobile.special.styles
Note all the layouts for special pages are closely tied together. We'll make use of a feature
branch
to avoid breakage:





Related: T147722

Event Timeline

Nirzar updated the task description. (Show Details)
Jdlrobson renamed this task from Adopt new special page template for Special:MobileOptions to Adopt new special page template for special pages (Contributions, MobileOptions, History and Watchlist).Oct 18 2017, 11:48 PM
Jdlrobson renamed this task from Adopt new special page template for special pages (Contributions, MobileOptions, History and Watchlist) to Adopt new special page template for special pages (Contributions, MobileOptions, Nearby, History and Watchlist).
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)Oct 18 2017, 11:54 PM
Jdlrobson moved this task from Backlog to New adventures on the MinervaNeue board.Oct 31 2017, 5:44 PM
Jdlrobson updated the task description. (Show Details)Nov 7 2017, 8:10 PM
Jdlrobson updated the task description. (Show Details)

@Nirzar - after we do the changes in T180095: Update the title alignment for special pages perhaps we should skip this and change the acceptance criteria for the epic itself?

Jdlrobson renamed this task from Adopt new special page template for special pages (Contributions, MobileOptions, Nearby, History and Watchlist) to Update and adopt new special page template for remaining special pages (Contributions, Nearby, History and Watchlist).Nov 28 2017, 10:23 PM
Nirzar closed this task as Resolved.Feb 21 2018, 6:16 PM

This is now done as part of settings work!

@Nirzar is it?
There are tasks relating to Nearby - T120520 and T94297. I'm fine tracking these as bugs but I'm pretty sure there are other untracked bugs - for instance how things appear in tablet mode - it seems odd on the eye to me to center my username like so:

Would you mind making sure we've captured all the remaining problems with special pages in the backlog?

Would you mind making sure we've captured all the remaining problems with special pages in the backlog?

all of the improvements on top of updating to the _current_ state of special page can be under
https://phabricator.wikimedia.org/T169162

we can create subtasks for each of the cases. but we kinda abandoned the idea of creating a template, so adopting is lead by use-cases than template based approach. e.g. next we would build tabs and then apply tabs on particular pages. instead of fixing userpages completely.